/**
 * @file main.cpp
 * @author Siwat Sirichai (siwat@siwatinc.com)
 * @brief CU Demonstration Secondary School IoT 2024 Project Main File
 * @version 1.0
 * @date 2024-03-19
 * 
 * @copyright Copyright (c) SIWAT SYSTEM 2024
 * 
 */
#pragma once
#include <ESPMegaProOS.hpp>
#include <ClimateCard.hpp>
#include <ETH.h>
#include <RemoteVariable.hpp>
#include "lcd_elements.hpp"
#include "ir_codes.hpp"
#include "display.hpp"
#include "config.hpp"

/***********************************************
 *             Function Prototypes             *
 ***********************************************/
void setup();
void loop();
void send_stop_bytes(HardwareSerial &uart);
void handle_input_change(uint8_t pin, bool state);
void handle_mqtt_message(char *topic, char *payload);